Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509830 - Improve performance with xattrop update.
Summary: Improve performance with xattrop update.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: disperse
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Sunil Kumar Acharya
QA Contact: Upasana
URL:
Whiteboard: rebase
Depends On: 1445663
Blocks: 1503134
TreeView+ depends on / blocked
 
Reported: 2017-11-06 07:31 UTC by Sunil Kumar Acharya
Modified: 2018-11-27 12:30 UTC (History)
10 users (show)

Fixed In Version: glusterfs-3.12.2-1
Doc Type: If docs needed, set a value
Doc Text:
Disperse translator has been optimized to perform xattrop update operation in parallel on the bricks during self-heal to improve performance.
Clone Of: 1445663
Environment:
Last Closed: 2018-09-04 06:39:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:40:27 UTC

Description Sunil Kumar Acharya 2017-11-06 07:31:11 UTC
+++ This bug was initially created as a clone of Bug #1445663 +++

Description of problem:
xattrop update on bricks is very slow.

--- Additional comment from Worker Ant on 2017-05-02 06:10:08 EDT ---

REVIEW: https://review.gluster.org/17151 (cluster/ec: Improve performance with xattrop update) posted (#1) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-05-04 03:21:24 EDT ---

REVIEW: https://review.gluster.org/17151 (cluster/ec: Improve performance with xattrop update) posted (#2) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-05-04 13:29:00 EDT ---

REVIEW: https://review.gluster.org/17151 (cluster/ec: Improve performance with xattrop update) posted (#3) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-05-12 03:30:48 EDT ---

REVIEW: https://review.gluster.org/17151 (cluster/ec: Improve performance with xattrop update) posted (#4) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-05-12 03:34:51 EDT ---

REVIEW: https://review.gluster.org/17151 (cluster/ec: Improve performance with xattrop update) posted (#5) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-05-12 11:11:45 EDT ---

REVIEW: https://review.gluster.org/17151 (cluster/ec: Improve performance with xattrop update) posted (#6) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-05-12 11:16:55 EDT ---

REVIEW: https://review.gluster.org/17151 (cluster/ec: Improve performance with xattrop update) posted (#7) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-05-12 11:34:24 EDT ---

REVIEW: https://review.gluster.org/17151 (cluster/ec: Improve performance with xattrop update) posted (#8) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-06-09 02:59:17 EDT ---

REVIEW: https://review.gluster.org/17151 (cluster/ec: Improve performance with xattrop update) posted (#9) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-06-09 08:15:31 EDT ---

REVIEW: https://review.gluster.org/17151 (cluster/ec: Improve performance with xattrop update) posted (#10) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-06-13 05:07:20 EDT ---

REVIEW: https://review.gluster.org/17151 (cluster/ec: Improve performance with xattrop update) posted (#11) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-06-13 08:09:40 EDT ---

REVIEW: https://review.gluster.org/17151 (cluster/ec: Improve performance with xattrop update) posted (#12) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-08-30 02:41:24 EDT ---

REVIEW: https://review.gluster.org/17151 (cluster/ec: Improve performance with xattrop update) posted (#13) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-09-13 02:37:46 EDT ---

REVIEW: https://review.gluster.org/17151 (cluster/ec: Improve performance with xattrop update) posted (#14) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-09-19 10:38:41 EDT ---

REVIEW: https://review.gluster.org/17151 (cluster/ec: Improve performance with xattrop update) posted (#15) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-09-25 00:45:10 EDT ---

REVIEW: https://review.gluster.org/17151 (cluster/ec: Improve performance with xattrop update) posted (#16) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-09-28 11:05:42 EDT ---

REVIEW: https://review.gluster.org/17151 (cluster/ec: Improve performance with xattrop update) posted (#17) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-10-04 07:43:58 EDT ---

REVIEW: https://review.gluster.org/17151 (cluster/ec: Improve performance with xattrop update) posted (#18) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-10-04 09:06:27 EDT ---

REVIEW: https://review.gluster.org/17151 (cluster/ec: Improve performance with xattrop update) posted (#19) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-10-04 11:16:17 EDT ---

REVIEW: https://review.gluster.org/17151 (cluster/ec: Improve performance with xattrop update) posted (#20) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-10-05 02:40:25 EDT ---

REVIEW: https://review.gluster.org/17151 (cluster/ec: Improve performance with xattrop update) posted (#21) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)

--- Additional comment from Worker Ant on 2017-10-05 21:42:10 EDT ---

COMMIT: https://review.gluster.org/17151 committed in master by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 12cfc1983fa1521d6da94ad488145182cf97db2c
Author: Sunil Kumar Acharya <sheggodu@redhat.com>
Date:   Fri Apr 28 18:09:01 2017 +0530

    cluster/ec: Improve performance with xattrop update
    
    Existing EC code updates the xattr on the subvolume
    in a sequential pattern resulting in very poor performance.
    
    With this fix EC now updates the xattr on the subvolume
    in parallel which improves the xattr update performance.
    
    BUG: 1445663
    Change-Id: I3fc40d66db0b88875ca96a9fa01002ba386c0486
    Signed-off-by: Sunil Kumar Acharya <sheggodu@redhat.com>

Comment 10 errata-xmlrpc 2018-09-04 06:39:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.